summaryrefslogtreecommitdiffstats
path: root/package/base-files/files/lib/preinit/40_mount_jffs2
diff options
context:
space:
mode:
authornbd <nbd@3c298f89-4303-0410-b956-a3cf2f4a3e73>2010-01-25 17:11:17 +0000
committernbd <nbd@3c298f89-4303-0410-b956-a3cf2f4a3e73>2010-01-25 17:11:17 +0000
commita9929695c6ad0779eaa8cb3d68d37760981d55b7 (patch)
tree2f48135bc4a364cacd3ce07355213d4e32a9141f /package/base-files/files/lib/preinit/40_mount_jffs2
parent99c311e86cd7b0ed809a7994eb618819785a6223 (diff)
add preinit modularization work by Daniel Dickinson (cshore)
git-svn-id: svn://svn.openwrt.org/openwrt/trunk@19331 3c298f89-4303-0410-b956-a3cf2f4a3e73
Diffstat (limited to 'package/base-files/files/lib/preinit/40_mount_jffs2')
-rw-r--r--package/base-files/files/lib/preinit/40_mount_jffs224
1 files changed, 24 insertions, 0 deletions
diff --git a/package/base-files/files/lib/preinit/40_mount_jffs2 b/package/base-files/files/lib/preinit/40_mount_jffs2
new file mode 100644
index 000000000..99fe262c6
--- /dev/null
+++ b/package/base-files/files/lib/preinit/40_mount_jffs2
@@ -0,0 +1,24 @@
+#!/bin/sh
+# Copyright (C) 2006-2010 OpenWrt.org
+# Copyright (C) 2010 Vertical Communications
+
+find_mount_jffs2() {
+ mount "$(find_mtd_part rootfs_data)" /jffs -t jffs2
+}
+
+jffs2_not_mounted() {
+ if [ "$pi_jffs2_mount_success" != "true" ]; then
+ return 0
+ else
+ return 1
+ fi
+}
+
+do_mount_jffs2() {
+ check_skip || {
+ find_mount_jffs2 && pi_jffs2_mount_success=true
+ }
+}
+
+boot_hook_add preinit_mount_root do_mount_jffs2
+